GrailsTestCompilerAutoConfiguration (Grails 6.0.0)

Package: org.grails.cli.boot

## [Groovy] Class GrailsTestCompilerAutoConfiguration

- org.grails.cli.boot.GrailsTestCompilerAutoConfiguration

-     @groovy.transform.CompileStatic
      class GrailsTestCompilerAutoConfiguration
      extends org.springframework.boot.cli.compiler.CompilerAutoConfiguration

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String[]` | `DEFAULT_IMPORTS` |
    `private org.codehaus.groovy.ast.ClassNode` | `lastMatch` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.codehaus.groovy.ast.ClassNode` | `lastMatch`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestCompilerAutoConfiguration ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer dependencies)`
    `` | `void` | `applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer imports)`
    `` | `boolean` | `matches(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.cli.compiler.CompilerAutoConfiguration` | `org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyToMainClass(groovy.lang.GroovyClassLoader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#matches(org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#apply(groovy.lang.GroovyClassLoader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(long), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(long, int), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#equals(java.lang.Object), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#toString(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#hashCode(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#getClass(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#notify(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String[] DEFAULT_IMPORTS

    - #### private org.codehaus.groovy.ast.ClassNode lastMatch

  - ### Property Detail

    - #### org.codehaus.groovy.ast.ClassNode lastMatch

  - ### Constructor Detail

    - #### GrailsTestCompilerAutoConfiguration()

  - ### Method Detail

    - #### @java.lang.Override void applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer dependencies)

    - #### @java.lang.Override void applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer imports)

    - #### @java.lang.Override boolean matches(org.codehaus.groovy.ast.ClassNode classNode)